flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From danielblazevski <...@git.apache.org>
Subject [GitHub] flink pull request: [FLINK-1745] Add exact k-nearest-neighbours al...
Date Wed, 14 Oct 2015 15:37:24 GMT
Github user danielblazevski commented on the pull request:

    https://github.com/apache/flink/pull/1220#issuecomment-148088594
  
    Thanks @tillrohrmann, I changed my code using the .asBreeze and .fromBreeze.  I think
I am now having trouble linking to the Breeze library.  When I now try to construct the QuadTree,
I get the error (by printing "hello" to the console, I checked and KNN.scala runs up until
the calling of the QuadTree constructor, which now has an import statement `import Breeze._`
and KNN.scala does not have that import statment ):
    
    Oct 14, 2015 11:26:51 AM com.github.fommil.netlib.BLAS <clinit>
    WARNING: Failed to load implementation from: com.github.fommil.netlib.NativeSystemBLAS
    Oct 14, 2015 11:26:51 AM com.github.fommil.netlib.BLAS <clinit>
    WARNING: Failed to load implementation from: com.github.fommil.netlib.NativeRefBLAS
    
    Is there a recommended to link and grab/install Breeze within Flink automatically, or
does the user have to have it separately installed?
    
    I made a new commit.


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message